GET /v1/merchant-aliases
The alias list. The longest matching pattern wins.
Auth. Send the token in the X-Ledger-Token header.
Responses
| Status | Meaning | Body |
|---|---|---|
200 | Aliases | MerchantAlias[] |
429 | Too many requests from this client address. Wait the number of seconds in Retry-After, then try again. | Error |
Example response
[
{
"id": 0,
"pattern": "string",
"name": "string",
"created_at": "2026-10-11T00:00:00Z",
"created": true
}
]
Code samples
Set KEY to your own token first.
curl
curl \
-H X-Ledger-Token:$KEY \
"https://api.sasek.org/ledger/v1/merchant-aliases"
JavaScript
const res = await fetch("https://api.sasek.org/ledger/v1/merchant-aliases", {
headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();
Python
import json
import os
import urllib.request
request = urllib.request.Request(
"https://api.sasek.org/ledger/v1/merchant-aliases",
method="GET",
headers={
"X-Ledger-Token": os.environ["KEY"],
},
)
with urllib.request.urlopen(request) as response:
print(json.load(response))